    The XSPEC nsmax model: Neutron Star Magnetic Atmosphere.

xsnsmax
The xsnsmax model is an additive model component.

The model is described at [1] . It has been superseded by

xsnsmaxg .

>>> create_model_component("xsnsmax", "mdl")
>>> print(mdl)

Create a component of the xsnsmax model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.logTeff thawed 6 5.5 6.8 K mdl.redshift thawed 0.1 1e-05 2 mdl.specfile frozen 1200 -3.40282e+38 3.40282e+38 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
LogTeff
The log of Teff, the unredshifted surface effective temperature.
redshift
This is 1 + zg, the gravitational redshift.
specfile
Which model to use: see [1] for more details.
norm
The normalization of the model: see [1] for more details.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelNsmax.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023